Subject: [MMUSIC] Shepherd's review of draft-ietf-msrp-usage-data-channel-17

From: Bo Burman <[email-masked]>
Date: Tue, 9 Jun 2020 23:24:29 +0000

WG, authors,

These are my shepherd's review comments:

1.      Please point more clearly to which IANA registries that are targeted in sections 9.1 and 9.3.
2.      In section 4.4, you are discussing dcsa use of setup, path, msrp-cema, accept-types, accept-wrapped-types, max-size, sendonly, recvonly, inactive, sendrecv, and "all the parameters related to MSRP file transfer" (section 4.7), but only setup has a corresponding IANA section (9.3), asking to register the attribute on dcsa level. Please add IANA information for all of the other specified attributes as well (as separate sections or extend section 9.3, as you see fit).
3.      In section 3.1 change sub-protocol value in the body text from "MSRP" to "msrp", for consistency.

Editorial comments/nits:

i)                    Consider aligning all occurrences of "a MSRP" to "an MSRP".

Idnits<https://tools.ietf.org/tools/idnits/>:

a.      The document has no formal "updates" tag in the file header, it just mentions it in the abstract. Please use the formal title page header format, also for the provided XML.
b.      The abstract contains RFC4975 as a reference, which cannot be part of an abstract and must be replaced with a plain-text mention of that RFC.

Thanks,

Bo

MMUSIC co-chair

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 10 Jun 2020 11:52:01 +0000

Hi Bo,

Thank You for the review! Please see inline.

---

>1) Please point more clearly to which IANA registries that are targeted in sections 9.1 and 9.3.

I suggest the following:

9.1:

OLD:

   "This document modifies the usage of the msrps URI scheme, registered
   by [RFC4975], adding DTLS as a protected transport indicated by the
   URI scheme."

NEW:

   "This document modifies the usage of the msrps URI scheme, registered
   by [RFC4975], adding DTLS as a protected transport indicated by the
   URI scheme.

   A reference to RFCXXXX is added to the URI scheme "msrps"
   in the Uniform Resource Identifier (URI) Schemes Registry."

9.3:

OLD:

   "Usage level "dcsa(MSRP)" should be added to the IANA registration of
   the SDP setup attribute as follows:"

NEW:

   "The usage level "dcsa(msrp)" is added to the registration of the SDP
   'hland-send' attribute in the Session Description Protocol (SDP)
   Parameters registry as follows:"

(Note that "MSRP" is also changed to "msrp", both in the text and in the table.)

----

>2) In section 4.4, you are discussing dcsa use of setup, path, msrp-cema, accept-types, accept-wrapped-types, max-size, sendonly, recvonly, inactive, sendrecv, and "all the parameters related to MSRP file transfer" (section 4.7), but only setup has a corresponding IANA section (9.3), asking to register the attribute on dcsa level. Please add IANA >information for all of the other specified attributes as well (as separate sections or extend section 9.3, as you see fit).

Good catch. We will do that.

---

>3) In section 3.1 change sub-protocol value in the body text from "MSRP" to "msrp", for consistency.

Will modify as suggested.

---

>i) Consider aligning all occurrences of "a MSRP" to "an MSRP".

Will modify as suggested.

---

https://tools.ietf.org/tools/idnits/:
>a) The document has no formal "updates" tag in the file header, it just mentions it in the abstract. Please use the formal title page header format, also for the provided XML.

We will add updates="4975" to the XML rfc tag.

>b) The abstract contains RFC4975 as a reference, which cannot be part of an abstract and must be replaced with a plain-text mention of that RFC.

Will fix.

---

Regards,

Christer

---

From: Jose M Recio <[email-masked]>
Date: Sat, 13 Jun 2020 14:01:40 +0800

PR with updates in 
https://github.com/josemrecio/draft-msrp-data-channel/pull/17

Good catch on the IANA updates about SDP parameters. Given that usage is 
not modified and only a reference needs to be added, I have created an 
omnibus section grouping them altogether for simplicity.

JM

---

From: Christer Holmberg <[email-masked]>
Date: Sat, 13 Jun 2020 11:19:54 +0000

Hi,

>PR with updates in
>https://protect2.fireeye.com/v1/url?k=c74719fa-99e7a394-c7475961-86b1886cfa64-ff7ae6892db50a68&q=1&e=b91f0410-0fd5-48d5-ad8c-aface179da
>2b&u=https%3A%2F%2Fgithub.com%2Fjosemrecio%2Fdraft-msrp-data-channel%2Fpull%2F17
>
>Good catch on the IANA updates about SDP parameters. Given that usage is not modified and only a reference needs to be added, I have created an omnibus section grouping them altogether for simplicity.

It is not enough to say that a reference is added.  We need to add the usage level 'dcsa(msrp)' to each attribute.

Regards,

Christer

On 10/06/20 19:52, Christer Holmberg wrote:
> https://protect2.fireeye.com/v1/url?k=6216e4e2-3cb65e8c-6216a479-86b1886cfa64-c037cf8999867a11&q=1&e=b91f0410-0fd5-48d5-ad8c-aface179da2b&u=https%3A%2F%2Ftools.ietf.org%2Ftools%2Fidnits%2F:

---

From: Jose M Recio <[email-masked]>
Date: Sun, 14 Jun 2020 21:31:55 +0800

On 13/06/20 19:19, Christer Holmberg wrote:
> It is not enough to say that a reference is added. We need to add the 
> usage level 'dcsa(msrp)' to each attribute. 
PR updated, with a usage description per parameter:
https://github.com/josemrecio/draft-msrp-data-channel/pull/17

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 15 Jun 2020 08:25:11 +0000

Hi,

Looks good, but I think we can cover all attributes in a single section. We don't need one section for the 'setup' attribute, and another section for the rest of the attributes.

Regards,

Christer

-----Original Message-----
From: Jose M Recio <[email-masked]> 
Sent: sunnuntai 14. kesäkuuta 2020 16.32
To: Christer Holmberg <[email-masked]>; Bo Burman <[email-masked]>; [email-masked]; mmusic <[email-masked]>
Cc: [email-masked]
Subject: Re: Shepherd's review of draft-ietf-msrp-usage-data-channel-17

PR updated, with a usage description per parameter:
https://protect2.fireeye.com/v1/url?k=6f95bb22-3135014c-6f95fbb9-86b1886cfa64-260e421c7e5eea79&q=1&e=b26f33f2-47f1-4ff2-89fa-7be93efa98e9&u=https%3A%2F%2Fgithub.com%2Fjosemrecio%2Fdraft-msrp-data-channel%2Fpull%2F17

---

From: Jose M Recio <[email-masked]>
Date: Tue, 16 Jun 2020 19:48:07 +0800

> Looks good, but I think we can cover all attributes in a single section. We don't need one section for the 'setup' attribute, and another section for the rest of the attributes.
Ok, fair enough, I'll update the PR